Index: serefpolicy-contrib-20140730/ntp.te
===================================================================
--- serefpolicy-contrib-20140730.orig/ntp.te
+++ serefpolicy-contrib-20140730/ntp.te
@@ -1,4 +1,4 @@
-policy_module(ntp, 1.12.2)
+policy_module(ntp, 1.11.0)
 
 ########################################
 #
@@ -18,6 +18,9 @@ role ntpd_roles types ntpd_t;
 type ntpd_initrc_exec_t;
 init_script_file(ntpd_initrc_exec_t)
 
+type ntpd_unit_file_t;
+systemd_unit_file(ntpd_unit_file_t)
+
 type ntp_conf_t;
 files_config_file(ntp_conf_t)
 
@@ -53,7 +56,7 @@ allow ntpd_t self:tcp_socket { accept li
 
 manage_dirs_pattern(ntpd_t, ntp_drift_t, ntp_drift_t)
 manage_files_pattern(ntpd_t, ntp_drift_t, ntp_drift_t)
-files_var_filetrans(ntpd_t, ntp_drift_t, file)
+files_var_lib_filetrans(ntpd_t, ntp_drift_t, dir, "sntp-kod")
 
 allow ntpd_t ntp_conf_t:file read_file_perms;
 
@@ -61,9 +64,7 @@ read_files_pattern(ntpd_t, ntpd_key_t, n
 read_lnk_files_pattern(ntpd_t, ntpd_key_t, ntpd_key_t)
 
 allow ntpd_t ntpd_log_t:dir setattr_dir_perms;
-append_files_pattern(ntpd_t, ntpd_log_t, ntpd_log_t)
-create_files_pattern(ntpd_t, ntpd_log_t, ntpd_log_t)
-setattr_files_pattern(ntpd_t, ntpd_log_t, ntpd_log_t)
+manage_files_pattern(ntpd_t, ntpd_log_t, ntpd_log_t)
 logging_log_filetrans(ntpd_t, ntpd_log_t, { file dir })
 
 manage_dirs_pattern(ntpd_t, ntpd_tmp_t, ntpd_tmp_t)
@@ -84,21 +85,16 @@ kernel_read_system_state(ntpd_t)
 kernel_read_network_state(ntpd_t)
 kernel_request_load_module(ntpd_t)
 
-corenet_all_recvfrom_unlabeled(ntpd_t)
 corenet_all_recvfrom_netlabel(ntpd_t)
 corenet_tcp_sendrecv_generic_if(ntpd_t)
 corenet_udp_sendrecv_generic_if(ntpd_t)
 corenet_tcp_sendrecv_generic_node(ntpd_t)
 corenet_udp_sendrecv_generic_node(ntpd_t)
 corenet_udp_bind_generic_node(ntpd_t)
-
-corenet_sendrecv_ntp_server_packets(ntpd_t)
 corenet_udp_bind_ntp_port(ntpd_t)
-corenet_udp_sendrecv_ntp_port(ntpd_t)
-
-corenet_sendrecv_ntp_client_packets(ntpd_t)
 corenet_tcp_connect_ntp_port(ntpd_t)
-corenet_tcp_sendrecv_ntp_port(ntpd_t)
+corenet_sendrecv_ntp_server_packets(ntpd_t)
+corenet_sendrecv_ntp_client_packets(ntpd_t)
 
 corecmd_exec_bin(ntpd_t)
 corecmd_exec_shell(ntpd_t)
@@ -111,13 +107,15 @@ domain_use_interactive_fds(ntpd_t)
 domain_dontaudit_list_all_domains_state(ntpd_t)
 
 files_read_etc_runtime_files(ntpd_t)
-files_read_usr_files(ntpd_t)
 files_list_var_lib(ntpd_t)
 
 fs_getattr_all_fs(ntpd_t)
 fs_search_auto_mountpoints(ntpd_t)
+# Necessary to communicate with gpsd devices
+fs_rw_tmpfs_files(ntpd_t)
 
 term_use_ptmx(ntpd_t)
+term_use_unallocated_ttys(ntpd_t)
 
 auth_use_nsswitch(ntpd_t)
 
@@ -125,8 +123,6 @@ init_exec_script_files(ntpd_t)
 
 logging_send_syslog_msg(ntpd_t)
 
-miscfiles_read_localization(ntpd_t)
-
 userdom_dontaudit_use_unpriv_user_fds(ntpd_t)
 userdom_list_user_home_dirs(ntpd_t)
 
Index: serefpolicy-contrib-20140730/numad.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/numad.fc
+++ serefpolicy-contrib-20140730/numad.fc
@@ -1,7 +1,7 @@
-/etc/rc\.d/init\.d/numad	--	gen_context(system_u:object_r:numad_initrc_exec_t,s0)
+/usr/bin/numad		--	gen_context(system_u:object_r:numad_exec_t,s0)
 
-/usr/bin/numad	--	gen_context(system_u:object_r:numad_exec_t,s0)
+/usr/lib/systemd/system/numad.*		--	gen_context(system_u:object_r:numad_unit_file_t,s0)
 
-/var/log/numad\.log.*	--	gen_context(system_u:object_r:numad_log_t,s0)
+/var/log/numad\.log.*	 --  gen_context(system_u:object_r:numad_var_log_t,s0)
 
-/var/run/numad\.pid	--	gen_context(system_u:object_r:numad_var_run_t,s0)
+/var/run/numad\.pid      --  gen_context(system_u:object_r:numad_var_run_t,s0)
Index: serefpolicy-contrib-20140730/numad.if
===================================================================
--- serefpolicy-contrib-20140730.orig/numad.if
+++ serefpolicy-contrib-20140730/numad.if
@@ -1,39 +1,72 @@
-## <summary>Non-Uniform Memory Alignment Daemon.</summary>
 
+## <summary>policy for numad</summary>
+
+########################################
+## <summary>
+##	Transition to numad.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`numad_domtrans',`
+	gen_require(`
+		type numad_t, numad_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, numad_exec_t, numad_t)
+')
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an numad environment.
+##	Execute numad server in the numad domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed access.
+##	Domain allowed to transition.
 ##	</summary>
 ## </param>
-## <param name="role">
+#
+interface(`numad_systemctl',`
+	gen_require(`
+		type numad_t;
+		type numad_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+	systemd_read_fifo_file_passwd_run($1)
+	allow $1 numad_unit_file_t:file read_file_perms;
+	allow $1 numad_unit_file_t:service all_service_perms;
+
+	ps_process_pattern($1, numad_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an numad environment
+## </summary>
+## <param name="domain">
 ##	<summary>
-##	Role allowed access.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <rolecap/>
 #
 interface(`numad_admin',`
 	gen_require(`
-		type numad_t, numad_initrc_exec_t, numad_log_t;
-		type numad_var_run_t;
+		type numad_t;
+		type numad_unit_file_t;
 	')
 
 	allow $1 numad_t:process { ptrace signal_perms };
 	ps_process_pattern($1, numad_t)
 
-	init_labeled_script_domtrans($1, numad_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 numad_initrc_exec_t system_r;
-	allow $2 system_r;
-
-	logging_search_logs($1)
-	admin_pattern($1, numad_log_t)
-
-	files_search_pids($1)
-	admin_pattern($1, numad_var_run_t)
+	numad_systemctl($1)
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
 ')
Index: serefpolicy-contrib-20140730/numad.te
===================================================================
--- serefpolicy-contrib-20140730.orig/numad.te
+++ serefpolicy-contrib-20140730/numad.te
@@ -8,37 +8,44 @@ policy_module(numad, 1.1.0)
 type numad_t;
 type numad_exec_t;
 init_daemon_domain(numad_t, numad_exec_t)
-application_executable_file(numad_exec_t)
 
-type numad_initrc_exec_t;
-init_script_file(numad_initrc_exec_t)
+type numad_unit_file_t;
+systemd_unit_file(numad_unit_file_t)
 
-type numad_log_t;
-logging_log_file(numad_log_t)
+type numad_var_log_t;
+logging_log_file(numad_var_log_t)
 
 type numad_var_run_t;
 files_pid_file(numad_var_run_t)
 
 ########################################
 #
-# Local policy
+# numad local policy
 #
 
+allow numad_t self:capability sys_ptrace;
 allow numad_t self:fifo_file rw_fifo_file_perms;
-allow numad_t self:msg { send receive };
 allow numad_t self:msgq create_msgq_perms;
+allow numad_t self:msg { send receive };
 allow numad_t self:unix_stream_socket create_stream_socket_perms;
 
-allow numad_t numad_log_t:file { append_file_perms create_file_perms setattr_file_perms };
-logging_log_filetrans(numad_t, numad_log_t, file)
+manage_files_pattern(numad_t, numad_var_log_t, numad_var_log_t)
+logging_log_filetrans(numad_t, numad_var_log_t, file)
 
 manage_files_pattern(numad_t, numad_var_run_t, numad_var_run_t)
 files_pid_filetrans(numad_t, numad_var_run_t, file)
 
 kernel_read_system_state(numad_t)
 
-dev_read_sysfs(numad_t)
-
-files_read_etc_files(numad_t)
+dev_rw_sysfs(numad_t)
 
-miscfiles_read_localization(numad_t)
+domain_use_interactive_fds(numad_t)
+domain_read_all_domains_state(numad_t)
+domain_setpriority_all_domains(numad_t)
+
+fs_manage_cgroup_dirs(numad_t)
+fs_rw_cgroup_files(numad_t)
+
+tunable_policy(`deny_ptrace',`',`
+	virt_ptrace(numad_t)
+')
Index: serefpolicy-contrib-20140730/nut.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/nut.fc
+++ serefpolicy-contrib-20140730/nut.fc
@@ -1,23 +1,16 @@
-/etc/nut(/.*)?	gen_context(system_u:object_r:nut_conf_t,s0)
-/etc/ups(/.*)?	gen_context(system_u:object_r:nut_conf_t,s0)
+/etc/ups(/.*)?		gen_context(system_u:object_r:nut_conf_t,s0)
 
-/etc/rc\.d/init\.d/nut-driver	--	gen_context(system_u:object_r:nut_initrc_exec_t,s0)
-/etc/rc\.d/init\.d/nut-server	--	gen_context(system_u:object_r:nut_initrc_exec_t,s0)
-
-/sbin/upsd	--	gen_context(system_u:object_r:nut_upsd_exec_t,s0)
 /sbin/upsdrvctl	--	gen_context(system_u:object_r:nut_upsdrvctl_exec_t,s0)
-/sbin/upsmon	--	gen_context(system_u:object_r:nut_upsmon_exec_t,s0)
 
-/usr/lib/cgi-bin/nut/upsimage\.cgi	--	gen_context(system_u:object_r:httpd_nutups_cgi_script_exec_t,s0)
-/usr/lib/cgi-bin/nut/upsset\.cgi	--	gen_context(system_u:object_r:httpd_nutups_cgi_script_exec_t,s0)
-/usr/lib/cgi-bin/nut/upsstats\.cgi	--	gen_context(system_u:object_r:httpd_nutups_cgi_script_exec_t,s0)
+/usr/lib/systemd/system/nut.*	--  gen_context(system_u:object_r:nut_unit_file_t,s0)
 
 /usr/sbin/upsd	--	gen_context(system_u:object_r:nut_upsd_exec_t,s0)
 /usr/sbin/upsdrvctl	--	gen_context(system_u:object_r:nut_upsdrvctl_exec_t,s0)
-/usr/sbin/upsmon	--	gen_context(system_u:object_r:nut_upsmon_exec_t,s0)
+/usr/sbin/blazer_usb	--	gen_context(system_u:object_r:nut_upsdrvctl_exec_t,s0)
+/usr/sbin/upsmon --	gen_context(system_u:object_r:nut_upsmon_exec_t,s0)
 
 /var/run/nut(/.*)?	gen_context(system_u:object_r:nut_var_run_t,s0)
 
-/var/www/nut-cgi-bin/upsimage\.cgi	--	gen_context(system_u:object_r:httpd_nutups_cgi_script_exec_t,s0)
-/var/www/nut-cgi-bin/upsset\.cgi	--	gen_context(system_u:object_r:httpd_nutups_cgi_script_exec_t,s0)
-/var/www/nut-cgi-bin/upsstats\.cgi	--	gen_context(system_u:object_r:httpd_nutups_cgi_script_exec_t,s0)
+/var/www/nut-cgi-bin/upsimage\.cgi -- gen_context(system_u:object_r:nutups_cgi_script_exec_t,s0)
+/var/www/nut-cgi-bin/upsset\.cgi -- gen_context(system_u:object_r:nutups_cgi_script_exec_t,s0)
+/var/www/nut-cgi-bin/upsstats\.cgi -- gen_context(system_u:object_r:nutups_cgi_script_exec_t,s0)
Index: serefpolicy-contrib-20140730/nut.if
===================================================================
--- serefpolicy-contrib-20140730.orig/nut.if
+++ serefpolicy-contrib-20140730/nut.if
@@ -1,39 +1,24 @@
-## <summary>Network UPS Tools </summary>
+## <summary>nut - Network UPS Tools </summary>
 
-########################################
+#######################################
 ## <summary>
-##	All of the rules required to
-##	administrate an nut environment.
+##  Execute swift server in the swift domain.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
+##  <summary>
+##  Domain allowed to transition.
+##  </summary>
 ## </param>
-## <param name="role">
-##	<summary>
-##	Role allowed access.
-##	</summary>
-## </param>
-## <rolecap/>
 #
-interface(`nut_admin',`
-	gen_require(`
-		attribute nut_domain;
-		type nut_initrc_exec_t, nut_var_run_t, nut_conf_t;
-	')
-
-	allow $1 nut_domain:process { ptrace signal_perms };
-	ps_process_pattern($1, nut_domain_t)
-
-	init_labeled_script_domtrans($1, nut_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 nut_initrc_exec_t system_r;
-	allow $2 system_r;
+interface(`nut_systemctl',`
+    gen_require(`
+        type nut_t;
+        type nut_unit_file_t;
+    ')
 
-	files_search_etc($1)
-	admin_pattern($1, nut_conf_t)
+	systemd_exec_systemctl($1)
+    allow $1 nut_unit_file_t:file read_file_perms;
+    allow $1 nut_unit_file_t:service manage_service_perms;
 
-	files_search_pids($1)
-	admin_pattern($1, nut_var_run_t)
+    ps_process_pattern($1, nut_t)
 ')
Index: serefpolicy-contrib-20140730/nut.te
===================================================================
--- serefpolicy-contrib-20140730.orig/nut.te
+++ serefpolicy-contrib-20140730/nut.te
@@ -1,4 +1,4 @@
-policy_module(nut, 1.3.1)
+policy_module(nut, 1.3.0)
 
 ########################################
 #
@@ -22,116 +22,126 @@ type nut_upsdrvctl_t, nut_domain;
 type nut_upsdrvctl_exec_t;
 init_daemon_domain(nut_upsdrvctl_t, nut_upsdrvctl_exec_t)
 
-type nut_initrc_exec_t;
-init_script_file(nut_initrc_exec_t)
-
 type nut_var_run_t;
 files_pid_file(nut_var_run_t)
-init_daemon_pid_file(nut_var_run_t, dir, "nut")
 
-########################################
+type nut_unit_file_t;
+systemd_unit_file(nut_unit_file_t)
+
+#######################################
 #
-# Common nut domain local policy
+# Local policy for upsd
 #
 
-allow nut_domain self:capability { setgid setuid dac_override kill };
-allow nut_domain self:process signal_perms;
-allow nut_domain self:fifo_file rw_fifo_file_perms;
-allow nut_domain self:unix_dgram_socket sendto;
-
-allow nut_domain nut_conf_t:dir list_dir_perms;
-allow nut_domain nut_conf_t:file read_file_perms;
-allow nut_domain nut_conf_t:lnk_file read_lnk_file_perms;
-
-manage_files_pattern(nut_domain, nut_var_run_t, nut_var_run_t)
-manage_dirs_pattern(nut_domain, nut_var_run_t, nut_var_run_t)
-files_pid_filetrans(nut_domain, nut_var_run_t, { dir file })
-
-kernel_read_kernel_sysctls(nut_domain)
-
-logging_send_syslog_msg(nut_domain)
-
-miscfiles_read_localization(nut_domain)
+allow nut_domain self:netlink_kobject_uevent_socket create_socket_perms;
 
 ########################################
 #
-# Upsd local policy
+# Local policy for upsd
 #
 
-allow nut_upsd_t self:tcp_socket { accept listen };
+allow nut_upsd_t self:capability { setgid setuid dac_override };
+allow nut_upsd_t self:process signal_perms;
 
-manage_sock_files_pattern(nut_upsd_t, nut_var_run_t, nut_var_run_t)
-files_pid_filetrans(nut_upsd_t, nut_var_run_t, sock_file)
+allow nut_upsd_t self:unix_dgram_socket { create_socket_perms sendto };
+allow nut_upsd_t self:tcp_socket connected_stream_socket_perms;
 
-stream_connect_pattern(nut_upsd_t, nut_var_run_t, nut_var_run_t, nut_upsdrvctl_t)
+allow nut_upsd_t nut_upsdrvctl_t:unix_stream_socket connectto;
 
-corenet_all_recvfrom_unlabeled(nut_upsd_t)
-corenet_all_recvfrom_netlabel(nut_upsd_t)
-corenet_tcp_sendrecv_generic_if(nut_upsd_t)
-corenet_tcp_sendrecv_generic_node(nut_upsd_t)
-corenet_tcp_sendrecv_all_ports(nut_upsd_t)
-corenet_tcp_bind_generic_node(nut_upsd_t)
+read_files_pattern(nut_upsd_t, nut_conf_t, nut_conf_t)
 
-corenet_sendrecv_ups_server_packets(nut_upsd_t)
-corenet_tcp_bind_ups_port(nut_upsd_t)
+# pid file
+manage_files_pattern(nut_upsd_t, nut_var_run_t, nut_var_run_t)
+manage_dirs_pattern(nut_upsd_t, nut_var_run_t, nut_var_run_t)
+manage_sock_files_pattern(nut_upsd_t, nut_var_run_t, nut_var_run_t)
+files_pid_filetrans(nut_upsd_t, nut_var_run_t, { dir file sock_file })
 
-corenet_sendrecv_generic_server_packets(nut_upsd_t)
-corenet_tcp_bind_generic_port(nut_upsd_t)
+kernel_read_kernel_sysctls(nut_upsd_t)
 
-files_read_usr_files(nut_upsd_t)
+corenet_tcp_bind_ups_port(nut_upsd_t)
+corenet_tcp_bind_generic_port(nut_upsd_t)
+corenet_tcp_bind_all_nodes(nut_upsd_t)
 
 auth_use_nsswitch(nut_upsd_t)
 
+logging_send_syslog_msg(nut_upsd_t)
+
 ########################################
 #
-# Upsmon local policy
+# Local policy for upsmon
 #
 
-allow nut_upsmon_t self:capability dac_read_search;
-allow nut_upsmon_t self:unix_stream_socket connectto;
+allow nut_upsmon_t self:capability { dac_override dac_read_search setgid setuid };
+allow nut_upsmon_t self:fifo_file rw_fifo_file_perms;
+allow nut_upsmon_t self:unix_dgram_socket { create_socket_perms sendto };
+allow nut_upsmon_t self:unix_stream_socket { create_socket_perms connectto };
+allow nut_upsmon_t self:tcp_socket create_socket_perms;
+
+read_files_pattern(nut_upsmon_t, nut_conf_t, nut_conf_t)
 
+# pid file
+manage_files_pattern(nut_upsmon_t, nut_var_run_t, nut_var_run_t)
+manage_dirs_pattern(nut_upsmon_t, nut_var_run_t, nut_var_run_t)
+files_pid_filetrans(nut_upsmon_t, nut_var_run_t, file)
+
+kernel_read_kernel_sysctls(nut_upsmon_t)
 kernel_read_system_state(nut_upsmon_t)
 
 corecmd_exec_bin(nut_upsmon_t)
 corecmd_exec_shell(nut_upsmon_t)
 
-corenet_all_recvfrom_unlabeled(nut_upsmon_t)
-corenet_all_recvfrom_netlabel(nut_upsmon_t)
-corenet_tcp_sendrecv_generic_if(nut_upsmon_t)
-corenet_tcp_sendrecv_generic_node(nut_upsmon_t)
-corenet_tcp_sendrecv_all_ports(nut_upsmon_t)
-corenet_tcp_bind_generic_node(nut_upsmon_t)
-
-corenet_sendrecv_ups_client_packets(nut_upsmon_t)
 corenet_tcp_connect_ups_port(nut_upsmon_t)
-
-corenet_sendrecv_generic_client_packets(nut_upsmon_t)
 corenet_tcp_connect_generic_port(nut_upsmon_t)
 
+# Creates /etc/killpower
 files_manage_etc_runtime_files(nut_upsmon_t)
 files_etc_filetrans_etc_runtime(nut_upsmon_t, file)
 files_search_usr(nut_upsmon_t)
 
+# /usr/bin/wall
 term_write_all_terms(nut_upsmon_t)
 
+# upsmon runs shutdown, probably need a shutdown domain
+init_rw_utmp(nut_upsmon_t)
+init_telinit(nut_upsmon_t)
+
+logging_send_syslog_msg(nut_upsmon_t)
+
 auth_use_nsswitch(nut_upsmon_t)
 
 mta_send_mail(nut_upsmon_t)
 
+systemd_start_power_services(nut_upsmon_t)
+
 optional_policy(`
 	shutdown_domtrans(nut_upsmon_t)
 ')
 
 ########################################
 #
-# Upsdrvctl local policy
+# Local policy for upsdrvctl
 #
 
+allow nut_upsdrvctl_t self:capability { dac_override kill setgid setuid };
+allow nut_upsdrvctl_t self:process { sigchld signal signull };
 allow nut_upsdrvctl_t self:fd use;
+allow nut_upsdrvctl_t self:fifo_file rw_fifo_file_perms;
+allow nut_upsdrvctl_t self:unix_dgram_socket { create_socket_perms sendto };
+allow nut_upsdrvctl_t self:udp_socket create_socket_perms;
+
+can_exec(nut_upsdrvctl_t, nut_upsdrvctl_exec_t)
 
+read_files_pattern(nut_upsdrvctl_t, nut_conf_t, nut_conf_t)
+
+# pid file
+manage_files_pattern(nut_upsdrvctl_t, nut_var_run_t, nut_var_run_t)
+manage_dirs_pattern(nut_upsdrvctl_t, nut_var_run_t, nut_var_run_t)
 manage_sock_files_pattern(nut_upsdrvctl_t, nut_var_run_t, nut_var_run_t)
-files_pid_filetrans(nut_upsdrvctl_t, nut_var_run_t, sock_file)
+files_pid_filetrans(nut_upsdrvctl_t, nut_var_run_t, { file sock_file })
+
+kernel_read_kernel_sysctls(nut_upsdrvctl_t)
 
+# /sbin/upsdrvctl executes other drivers
 corecmd_exec_bin(nut_upsdrvctl_t)
 
 dev_read_sysfs(nut_upsdrvctl_t)
@@ -139,22 +149,35 @@ dev_read_urand(nut_upsdrvctl_t)
 dev_rw_generic_usb_dev(nut_upsdrvctl_t)
 
 term_use_unallocated_ttys(nut_upsdrvctl_t)
+term_use_usb_ttys(nut_upsdrvctl_t)
 
 auth_use_nsswitch(nut_upsdrvctl_t)
 
 init_sigchld(nut_upsdrvctl_t)
 
+logging_send_syslog_msg(nut_upsdrvctl_t)
+
+
 #######################################
 #
-# Cgi local policy
+# Local policy for upscgi scripts
+# requires httpd_enable_cgi and httpd_can_network_connect
 #
 
 optional_policy(`
 	apache_content_template(nutups_cgi)
+	apache_content_alias_template(nutups_cgi,nutups_cgi)
+
+	read_files_pattern(nutups_cgi_script_t, nut_conf_t, nut_conf_t)
 
-	allow httpd_nutups_cgi_script_t nut_conf_t:dir list_dir_perms;
-	allow httpd_nutups_cgi_script_t nut_conf_t:file read_file_perms;
-	allow httpd_nutups_cgi_script_t nut_conf_t:lnk_file read_lnk_file_perms;
+	corenet_all_recvfrom_netlabel(nutups_cgi_script_t)
+	corenet_tcp_sendrecv_generic_if(nutups_cgi_script_t)
+	corenet_tcp_sendrecv_generic_node(nutups_cgi_script_t)
+	corenet_tcp_sendrecv_all_ports(nutups_cgi_script_t)
+	corenet_tcp_connect_ups_port(nutups_cgi_script_t)
+	corenet_udp_sendrecv_generic_if(nutups_cgi_script_t)
+	corenet_udp_sendrecv_generic_node(nutups_cgi_script_t)
+	corenet_udp_sendrecv_all_ports(nutups_cgi_script_t)
 
-	sysnet_dns_name_resolve(httpd_nutups_cgi_script_t)
+	sysnet_dns_name_resolve(nutups_cgi_script_t)
 ')
Index: serefpolicy-contrib-20140730/nx.if
===================================================================
--- serefpolicy-contrib-20140730.orig/nx.if
+++ serefpolicy-contrib-20140730/nx.if
@@ -35,7 +35,9 @@ interface(`nx_read_home_files',`
 	')
 
 	files_search_var_lib($1)
-	read_files_pattern($1, { nx_server_var_lib_t nx_server_home_ssh_t }, nx_server_home_ssh_t)
+	allow $1 nx_server_var_lib_t:dir search_dir_perms;
+	read_files_pattern($1, nx_server_home_ssh_t, nx_server_home_ssh_t)
+	read_lnk_files_pattern($1, nx_server_home_ssh_t, nx_server_home_ssh_t)
 ')
 
 ########################################
@@ -90,3 +92,21 @@ interface(`nx_var_lib_filetrans',`
 
 	filetrans_pattern($1, nx_server_var_lib_t, $2, $3, $4)
 ')
+
+########################################
+## <summary>
+##	Transition to nx named content
+## </summary>
+## <param name="domain">
+##	<summary>
+##      Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`nx_filetrans_named_content',`
+	gen_require(`
+		type nx_server_home_ssh_t, nx_server_var_lib_t;
+	')
+
+	filetrans_pattern($1, nx_server_var_lib_t, nx_server_home_ssh_t, dir, ".ssh")
+')
Index: serefpolicy-contrib-20140730/nx.te
===================================================================
--- serefpolicy-contrib-20140730.orig/nx.te
+++ serefpolicy-contrib-20140730/nx.te
@@ -27,6 +27,9 @@ files_type(nx_server_var_lib_t)
 type nx_server_var_run_t;
 files_pid_file(nx_server_var_run_t)
 
+type nx_server_home_ssh_t;
+files_type(nx_server_home_ssh_t)
+
 ########################################
 #
 # Local policy
@@ -50,13 +53,15 @@ files_var_lib_filetrans(nx_server_t, nx_
 manage_files_pattern(nx_server_t, nx_server_var_run_t, nx_server_var_run_t)
 files_pid_filetrans(nx_server_t, nx_server_var_run_t, file)
 
+manage_dirs_pattern(nx_server_t, nx_server_home_ssh_t, nx_server_home_ssh_t)
+manage_files_pattern(nx_server_t, nx_server_home_ssh_t, nx_server_home_ssh_t)
+
 kernel_read_system_state(nx_server_t)
 kernel_read_kernel_sysctls(nx_server_t)
 
 corecmd_exec_shell(nx_server_t)
 corecmd_exec_bin(nx_server_t)
 
-corenet_all_recvfrom_unlabeled(nx_server_t)
 corenet_all_recvfrom_netlabel(nx_server_t)
 corenet_tcp_sendrecv_generic_if(nx_server_t)
 corenet_tcp_sendrecv_generic_node(nx_server_t)
@@ -67,13 +72,7 @@ corenet_sendrecv_all_client_packets(nx_s
 
 dev_read_urand(nx_server_t)
 
-files_read_etc_files(nx_server_t)
 files_read_etc_runtime_files(nx_server_t)
-files_read_usr_files(nx_server_t)
-
-miscfiles_read_localization(nx_server_t)
-
-seutil_dontaudit_search_config(nx_server_t)
 
 sysnet_read_config(nx_server_t)
 
Index: serefpolicy-contrib-20140730/oav.te
===================================================================
--- serefpolicy-contrib-20140730.orig/oav.te
+++ serefpolicy-contrib-20140730/oav.te
@@ -95,7 +95,6 @@ dev_read_sysfs(scannerdaemon_t)
 domain_use_interactive_fds(scannerdaemon_t)
 
 files_exec_etc_files(scannerdaemon_t)
-files_read_etc_files(scannerdaemon_t)
 files_read_etc_runtime_files(scannerdaemon_t)
 files_search_var_lib(scannerdaemon_t)
 
Index: serefpolicy-contrib-20140730/obex.if
===================================================================
--- serefpolicy-contrib-20140730.orig/obex.if
+++ serefpolicy-contrib-20140730/obex.if
@@ -1,15 +1,50 @@
 ## <summary>D-Bus service providing high-level OBEX client and server side functionality.</summary>
 
-#######################################
+########################################
 ## <summary>
-##	The role template for obex.
+##  Transition to obex.
 ## </summary>
-## <param name="role_prefix">
-##	<summary>
-##	The prefix of the user domain (e.g., user
-##	is the prefix for user_t).
-##	</summary>
+## <param name="domain">
+## <summary>
+##  Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`obex_domtrans',`
+    gen_require(`
+        type obex_t, obex_exec_t;
+    ')
+
+    corecmd_search_bin($1)
+    domtrans_pattern($1, obex_exec_t, obex_t)
+')
+
+########################################
+## <summary>
+##  Send and receive messages from
+##  obex over dbus.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
 ## </param>
+#
+interface(`obex_dbus_chat',`
+    gen_require(`
+        type obex_t;
+        class dbus send_msg;
+    ')
+
+    allow $1 obex_t:dbus send_msg;
+    allow obex_t $1:dbus send_msg;
+')
+
+#######################################
+## <summary>
+##	Role access for obex domains
+##	that executes via dbus-session
+## </summary>
 ## <param name="user_role">
 ##	<summary>
 ##	The role associated with the user domain.
@@ -20,69 +55,34 @@
 ##	The type of the user domain.
 ##	</summary>
 ## </param>
+## <param name="domain_prefix">
+##	<summary>
+##	User domain prefix to be used.
+##	</summary>
+## </param>
 #
-template(`obex_role_template',`
+template(`obex_role',`
 	gen_require(`
 		attribute_role obex_roles;
-		type obex_t, obex_exec_exec_t;
+	        type obex_t, obex_exec_t;
 	')
 
 	########################################
-	#
+	#		 
 	# Declarations
 	#
 
-	roleattribute $2 obex_roles;
+    	roleattribute $1 obex_roles;
 
 	########################################
-	#
+	#    
 	# Policy
-	#
-
-	allow $3 obex_t:process { ptrace signal_perms };
-	ps_process_pattern($3, obex_t)
+	#         
 
-	dbus_spec_session_domain($1, obex_t, obex_exec_t)
-
-	obex_dbus_chat($3)
-')
+	allow $2 obex_t:process signal_perms;
+	ps_process_pattern($2, obex_t)
 
-########################################
-## <summary>
-##	Execute obex in the obex domain.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed to transition.
-##	</summary>
-## </param>
-#
-interface(`obex_domtrans',`
-	gen_require(`
-		type obex_t, obex_exec_t;
-	')
-
-	corecmd_search_bin($1)
-	domtrans_pattern($1, obex_exec_t, obex_t)
-')
-
-########################################
-## <summary>
-##	Send and receive messages from
-##	obex over dbus.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`obex_dbus_chat',`
-	gen_require(`
-		type obex_t;
-		class dbus send_msg;
-	')
+	dbus_session_domain($3, obex_exec_t, obex_t)
 
-	allow $1 obex_t:dbus send_msg;
-	allow obex_t $1:dbus send_msg;
+	obex_dbus_chat($2)
 ')
Index: serefpolicy-contrib-20140730/obex.te
===================================================================
--- serefpolicy-contrib-20140730.orig/obex.te
+++ serefpolicy-contrib-20140730/obex.te
@@ -1,4 +1,4 @@
-policy_module(obex, 1.0.1)
+policy_module(obex,1.0.0) 
 
 ########################################
 #
@@ -14,30 +14,26 @@ role obex_roles types obex_t;
 
 ########################################
 #
-# Local policy
+# obex local policy
 #
 
 allow obex_t self:fifo_file rw_fifo_file_perms;
 allow obex_t self:socket create_stream_socket_perms;
+allow obex_t self:netlink_kobject_uevent_socket create_socket_perms;
 
-dev_read_urand(obex_t)
+kernel_request_load_module(obex_t)
 
-files_read_etc_files(obex_t)
+dev_read_urand(obex_t)
 
 logging_send_syslog_msg(obex_t)
 
-miscfiles_read_localization(obex_t)
-
 userdom_search_user_home_content(obex_t)
 
 optional_policy(`
-	bluetooth_stream_connect(obex_t)
-')
-
-optional_policy(`
 	dbus_system_bus_client(obex_t)
 
 	optional_policy(`
+		bluetooth_stream_connect(obex_t)
 		bluetooth_dbus_chat(obex_t)
 	')
 ')
Index: serefpolicy-contrib-20140730/oddjob.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/oddjob.fc
+++ serefpolicy-contrib-20140730/oddjob.fc
@@ -1,10 +1,10 @@
-/sbin/mkhomedir_helper	--	gen_context(system_u:object_r:oddjob_mkhomedir_exec_t,s0)
 
-/usr/lib/oddjob/mkhomedir	--	gen_context(system_u:object_r:oddjob_mkhomedir_exec_t,s0)
+/usr/lib/systemd/system/oddjobd.*   --  gen_context(system_u:object_r:oddjob_unit_file_t,s0)
 
+/usr/lib/oddjob/mkhomedir	--	gen_context(system_u:object_r:oddjob_mkhomedir_exec_t,s0)
 /usr/libexec/oddjob/mkhomedir	--	gen_context(system_u:object_r:oddjob_mkhomedir_exec_t,s0)
 
-/usr/sbin/oddjobd	--	gen_context(system_u:object_r:oddjob_exec_t,s0)
-/usr/sbin/mkhomedir_helper	--	gen_context(system_u:object_r:oddjob_mkhomedir_exec_t,s0)
+/usr/sbin/mkhomedir_helper     --      gen_context(system_u:object_r:oddjob_mkhomedir_exec_t,s0)
+/usr/sbin/oddjobd		--	gen_context(system_u:object_r:oddjob_exec_t,s0)
 
-/var/run/oddjobd\.pid	gen_context(system_u:object_r:oddjob_var_run_t,s0)
+/var/run/oddjobd\.pid			gen_context(system_u:object_r:oddjob_var_run_t,s0)
